Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.marketing
Class ActivityAudienceLoader

    java.lang.Object
      com.knowgate.marketing.ActivityAudienceLoader

All Implemented Interfaces:
  ImportLoader

    public final class ActivityAudienceLoader

extends java.lang.Object
implements ImportLoader

Field Summary
`static int` | `bo_allows_ads`
`static int` | `bo_confirmed`
`static int` | `bo_paid`
`static int` | `bo_went`
`static int` | `de_data1`
`static int` | `de_data2`
`static int` | `de_data3`
`static int` | `de_data4`
`static int` | `de_data5`
`static int` | `de_data6`
`static int` | `de_data7`
`static int` | `de_data8`
`static int` | `de_data9`
`static int` | `dt_confirmed`
`static int` | `dt_created`
`static int` | `dt_paid`
`static int` | `gu_activity`
`static int` | `gu_address`
`static int` | `gu_contact`
`static int` | `gu_list`
`static int` | `gu_writer`
`static int` | `id_data1`
`static int` | `id_data2`
`static int` | `id_data3`
`static int` | `id_data4`
`static int` | `id_data5`
`static int` | `id_data6`
`static int` | `id_data7`
`static int` | `id_data8`
`static int` | `id_data9`
`static int` | `id_ref`
`static int` | `id_transact`
`static int` | `im_paid`
`static int` | `MODE_APPEND`
`static int` | `MODE_APPENDUPDATE`
`static int` | `NO_DUPLICATED_MAILS`
`static int` | `tp_billing`
`static int` | `tp_origin`
`static int` | `tx_data1`
`static int` | `tx_data2`
`static int` | `tx_data3`
`static int` | `tx_data4`
`static int` | `tx_data5`
`static int` | `tx_data6`
`static int` | `tx_data7`
`static int` | `tx_data8`
`static int` | `tx_data9`
`static int` | `WRITE_ADDRESSES`
`static int` | `WRITE_COMPANIES`
`static int` | `WRITE_CONTACTS`
`static int` | `WRITE_LOOKUPS`

Fields inherited from interface com.knowgate.hipergate.datamodel.ImportLoader
`LOOUKP_TR_COLUMNS, LOOUKP_TR_COUNT, MODE_UPDATE`

Constructor Summary
`ActivityAudienceLoader()`

Method Summary
`void` | `close()` Close ImportLoader Must be always called before ImportLoader is destroyed
`int` | `columnCount()` Get columns count
`java.lang.String[]` | `columnNames()` Get array of column names
`java.lang.Object` | `get(int iColumnIndex)` Get current value for a column given its index
`java.lang.Object` | `get(java.lang.String sColumnName)` Get current value for a column given its name
`int` | `getColumnIndex(java.lang.String sColumnName)` Get column index from its name
`void` | `prepare(java.sql.Connection oConn, ColumnList oCols)` Prepare ImportLoader for repeated execution
`void` | `put(int iColumnIndex, java.lang.Object oValue)` Put current value for a column
`void` | `put(java.lang.String sColumnName, java.lang.Object oValue)` Put current value for a column
`void` | `setAllColumnsToNull()` Set all current values to null
`void` | `store(java.sql.Connection oConn, java.lang.String sWorkArea, int iFlags)` Store properties curently held in RAM into the database
`void` | `storeLine(java.sql.Connection oConn, java.lang.String sWorkArea, int iFlags, java.lang.String sColNames, char cColSep, java.lang.String sColValues)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### bo_allows_ads

    public static int bo_allows_ads

### bo_confirmed

    public static int bo_confirmed

### bo_paid

    public static int bo_paid

### bo_went

    public static int bo_went

### de_data1

    public static int de_data1

### de_data2

    public static int de_data2

### de_data3

    public static int de_data3

### de_data4

    public static int de_data4

### de_data5

    public static int de_data5

### de_data6

    public static int de_data6

### de_data7

    public static int de_data7

### de_data8

    public static int de_data8

### de_data9

    public static int de_data9

### dt_confirmed

    public static int dt_confirmed

### dt_created

    public static int dt_created

### dt_paid

    public static int dt_paid

### gu_activity

    public static int gu_activity

### gu_address

    public static int gu_address

### gu_contact

    public static int gu_contact

### gu_list

    public static int gu_list

### gu_writer

    public static int gu_writer

### id_data1

    public static int id_data1

### id_data2

    public static int id_data2

### id_data3

    public static int id_data3

### id_data4

    public static int id_data4

### id_data5

    public static int id_data5

### id_data6

    public static int id_data6

### id_data7

    public static int id_data7

### id_data8

    public static int id_data8

### id_data9

    public static int id_data9

### id_ref

    public static int id_ref

### id_transact

    public static int id_transact

### im_paid

    public static int im_paid

### tp_billing

    public static int tp_billing

### tp_origin

    public static int tp_origin

### tx_data1

    public static int tx_data1

### tx_data2

    public static int tx_data2

### tx_data3

    public static int tx_data3

### tx_data4

    public static int tx_data4

### tx_data5

    public static int tx_data5

### tx_data6

    public static int tx_data6

### tx_data7

    public static int tx_data7

### tx_data8

    public static int tx_data8

### tx_data9

    public static int tx_data9

### MODE_APPEND

    public static final int MODE_APPEND

See Also:
  Constant Field Values

### MODE_APPENDUPDATE

    public static final int MODE_APPENDUPDATE

See Also:
  Constant Field Values

### WRITE_LOOKUPS

    public static final int WRITE_LOOKUPS

See Also:
  Constant Field Values

### WRITE_COMPANIES

    public static final int WRITE_COMPANIES

See Also:
  Constant Field Values

### WRITE_CONTACTS

    public static final int WRITE_CONTACTS

See Also:
  Constant Field Values

### WRITE_ADDRESSES

    public static final int WRITE_ADDRESSES

See Also:
  Constant Field Values

### NO_DUPLICATED_MAILS

    public static final int NO_DUPLICATED_MAILS

See Also:
  Constant Field Values

Constructor Detail

### ActivityAudienceLoader

    public ActivityAudienceLoader()

Method Detail

### columnCount

    public int columnCount()

  Description copied from interface: `ImportLoader`
  Get columns count

  Specified by:
    `columnCount` in interface `ImportLoader`
  Returns:
    int

### columnNames

    public java.lang.String[] columnNames()
                                   throws java.lang.IllegalStateException

  Description copied from interface: `ImportLoader`
  Get array of column names

  Specified by:
    `columnNames` in interface `ImportLoader`
  Returns:
    String[]
  Throws:
    `java.lang.IllegalStateException`

### get

    public java.lang.Object get(int iColumnIndex)
                         throws java.lang.ArrayIndexOutOfBoundsException

  Description copied from interface: `ImportLoader`
  Get current value for a column given its index

  Specified by:
    `get` in interface `ImportLoader`
  Parameters:
    `iColumnIndex` - int [0..columnCount()-1]
  Returns:
    Object
  Throws:
    `java.lang.ArrayIndexOutOfBoundsException`

### get

    public java.lang.Object get(java.lang.String sColumnName)
                         throws java.lang.ArrayIndexOutOfBoundsException

  Description copied from interface: `ImportLoader`
  Get current value for a column given its name

  Specified by:
    `get` in interface `ImportLoader`
  Parameters:
    `sColumnName` - Case insensitive String
  Returns:
    Object
  Throws:
    `java.lang.ArrayIndexOutOfBoundsException` - if no column with such name was found

### getColumnIndex

    public int getColumnIndex(java.lang.String sColumnName)

  Description copied from interface: `ImportLoader`
  Get column index from its name

  Specified by:
    `getColumnIndex` in interface `ImportLoader`
  Parameters:
    `sColumnName` - String
  Returns:
    int [0..columnCount()-1] or -1 if column was not found

### put

    public void put(int iColumnIndex,
                    java.lang.Object oValue)
             throws java.lang.ArrayIndexOutOfBoundsException

  Description copied from interface: `ImportLoader`
  Put current value for a column

  Specified by:
    `put` in interface `ImportLoader`
  Parameters:
    `iColumnIndex` - int [0..columnCount()-1]
    `oValue` - Object
  Throws:
    `java.lang.ArrayIndexOutOfBoundsException`

### put

    public void put(java.lang.String sColumnName,
                    java.lang.Object oValue)
             throws java.lang.ArrayIndexOutOfBoundsException

  Description copied from interface: `ImportLoader`
  Put current value for a column

  Specified by:
    `put` in interface `ImportLoader`
  Parameters:
    `sColumnName` - String Column name
    `oValue` - Object
  Throws:
    `java.lang.ArrayIndexOutOfBoundsException`

### setAllColumnsToNull

    public void setAllColumnsToNull()

  Description copied from interface: `ImportLoader`
  Set all current values to null

  Specified by:
    `setAllColumnsToNull` in interface `ImportLoader`

### prepare

    public void prepare(java.sql.Connection oConn,
                        ColumnList oCols)
                 throws java.sql.SQLException

  Description copied from interface: `ImportLoader`
  Prepare ImportLoader for repeated execution

  Specified by:
    `prepare` in interface `ImportLoader`
  Parameters:
    `oConn` - Connection
    `oCols` - ColumnList List of columns that will be inserted or updated at the database
  Throws:
    `java.sql.SQLException`

### close

    public void close()
               throws java.sql.SQLException

  Description copied from interface: `ImportLoader`

  Close ImportLoader

  Must be always called before ImportLoader is destroyed

  Specified by:
    `close` in interface `ImportLoader`
  Throws:
    `java.sql.SQLException`

### store

    public void store(java.sql.Connection oConn,
                      java.lang.String sWorkArea,
                      int iFlags)
               throws java.sql.SQLException,
                      java.lang.IllegalArgumentException,
                      java.lang.NullPointerException

  Store properties curently held in RAM into the database

  Specified by:
    `store` in interface `ImportLoader`
  Parameters:
    `oConn` - Opened JDBC connection
    `sWorkArea` - String GUID of WorkArea to which inserted data will belong
    `iFlags` - int A boolean combination of {MODE_APPEND|MODE_APPENDUPDATE|WRITE_COMPANIES|WRITE_CONTACTS+WRITE_ADDRESSES|WRITE_LOOKUPS|NO_DUPLICATED_MAILS}
  Throws:
    `java.sql.SQLException`
    `java.lang.IllegalArgumentException`
    `java.lang.NullPointerException`
    `java.lang.ClassCastException`

### storeLine

    public void storeLine(java.sql.Connection oConn,
                          java.lang.String sWorkArea,
                          int iFlags,
                          java.lang.String sColNames,
                          char cColSep,
                          java.lang.String sColValues)
                   throws java.sql.SQLException,
                          java.lang.IllegalArgumentException,
                          java.lang.NullPointerException,
                          java.text.ParseException,
                          java.lang.NumberFormatException

  Throws:
    `java.sql.SQLException`
    `java.lang.IllegalArgumentException`
    `java.lang.NullPointerException`
    `java.text.ParseException`
    `java.lang.NumberFormatException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD